Login
Username:

Password:

Remember me



Lost Password?

Register now!

Sections

Who's Online
29 user(s) are online (23 user(s) are browsing Forums)

Members: 0
Guests: 29

more...

Headlines

 
  Register To Post  

(1) 2 »
LoView problem when used with Dopus5 WB replacement...
Not too shy to talk
Not too shy to talk


See User information
Hi all!
an user reported to me that my program LoView was unable to start while opus5 was strarted as wb replacement and instead its working normally if was opened opus5 and wb simultaneously...
That seems that LoView cant install an internal event handler since some system function was patched or so by opus5 and not standard...any idea on why?

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Home away from home
Home away from home


See User information
@Tuxedo
Dopus5 path about 30 function, and they all patches and in the replacement mode, and in non-replacement mode. I do not remember if there was any differences between modes in terms of patching , but , to be sure that it can be problem with patching, you may ask that user to try to run dopus5 in the wb-replacement mode with env:dopus/NoSysPatch sets, so dopus5 will runs without patches at all. Some functionality will be broken then (such as d&d and some others), but at least dopus5 will runs without patches, and he can try to run Loview. And if , all will be fine, then indeed problem with patching. If problem still will be the same, then problem not related to patching.

But when he will do tests, he need to be sure that patching will be disabled when he set environment. The easy way its to try to do drag&drop between two listers. If patching enabled, that will work. If not, that will not.

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Just can't stay away
Just can't stay away


See User information
Also be aware that drag'n'drop is partially broken anyway. you can not drag from a dopus lister or desktop onto some native os4 appwindows, ASL filerequesters for example.
Anything that uses the workbench arexx port (eg. most of ztools) will also fail.

Amiga user since 1985
AOS4, A-EON, IBrowse & Alinea Betatester

Ps. I hate the new amigans website. <shudder>
Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Home away from home
Home away from home


See User information
@Severin
If there any bug reports or feature requests, plz fill them on SF so they will not be forgotten.

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Just popping in
Just popping in


See User information
@Tuxedo

No change with NoSysPatch. Works not and the same error message.

Tears

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Just can't stay away
Just can't stay away


See User information
@Severin
"most of ztools will also fail"

I added CLI support as input for most of my ztools (FastView, FastCompress, AttachMail) months ago.

Therefore it works under DOpus, I tested them and I know that some users use them under DOPus.

Tuxedo, sorry for the off-topic.

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Not too shy to talk
Not too shy to talk


See User information
@TearsOfMe

that's a problem..
since Hollywood AFAIK uses standard commands and that seems a Opus5 issue I cant do nothing it seems...
The only thing to do was to check exactly whats the problem an than search for a solution

EIDT:

but however that with the NoSysPatch dont works the same may be elpfull for discover the problem maybe from opus5 maintainers?

@zzdh10

I dont undesrstand...with CLI support they works or what? However that was a different issue I think...

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Just can't stay away
Just can't stay away


See User information
@Tuxedo
"different issue" perhaps, maybe, certainly...
I just replied to Severin who said that zTools didn't work under DOpus.
There were adapted to work on DOpus, therefore, I had to mention it. That's all.
OT, Sorry.

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Just popping in
Just popping in


See User information
@Tuxedo
Found another example. The Drag and Drop Demo from Hollywood has the same error message. Maybe it helps.

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Just can't stay away
Just can't stay away


See User information
@zzd10h

Ok, nice to know they work now. I can't afford to purchase ztools so still have the older versions from os4depot.

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Not too shy to talk
Not too shy to talk


See User information
@TearsOfMe

Can you test all the Hollywood demos and look what works and what no plz?

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Not too shy to talk
Not too shy to talk


See User information
@Severin

Pm sent!

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Just popping in
Just popping in


See User information
@Tuxedo
All other demos working.

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Not too shy to talk
Not too shy to talk


See User information
@TearsOfMe

you've got mail and finger crossed :)

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Just popping in
Just popping in


See User information
@Tuxedo
Works now :)

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Not too shy to talk
Not too shy to talk


See User information
@TearsOfMe & mas1e

ok, seems that the "incriminated" event patched was the one relative to appwindow...I removed that and now LoView starts...anything that you can do here?
In that way wasnt possible to drag an image on LoView wiondow and gets loaded...

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Just can't stay away
Just can't stay away


See User information
@noXLar

PM replied to :)

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Home away from home
Home away from home


See User information
@Tuxedo

Leave your app window in place and scream the Hack^H^H^H^HDOpus devs to fix their bugs.

I was a great fan of DOpus5 in the old days on my A1200 but I hated the way it broke newer features in the OS due to it's patch happy coding approach.

Now it's open source these things an be addressed, though ofcourseit it takes time, but by working arround the issues you reduce the motifivation to fix them (same is true in the OS to an extent as well I suppose).


Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Not too shy to talk
Not too shy to talk


See User information
@broadblues

well actually I've simply removed a LoView feture to get it working on opus5 wb replacement(the appwindow function), I think that I'll add a prefs to deactivate it so averyone that wants to use it (but loosing the aoppwindow functionality) can...
Naturally I hope that the opus5 team will solve that issue since, now, also me hates the "wild" patching method that in os3.x era was so nice...but also cant prevent users to use LoView since was so easly "fixable" that issue atm...no?

Go to top
Re: LoView problem when used with Dopus5 WB replacement...
Not too shy to talk
Not too shy to talk


See User information
@Severin

Replied :)

Go to top

  Register To Post
(1) 2 »

 




Currently Active Users Viewing This Thread: 1 ( 0 members and 1 Anonymous Users )




Powered by XOOPS 2.0 © 2001-2016 The XOOPS Project